summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Kyle Guinn <elyk03@gmail.com>2010-05-11 22:54:02 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:54:02 +0200
commitbd2c42a9f75f44cf1faae28af3bf97ef4fb31509 (patch)
treec4c458e5fae053aae07ddd57a14014970de6eeab /libraries
parent20d65c367c46bac9c579a9bafec87f278aa1a351 (diff)
downloadslackbuilds-bd2c42a9f75f44cf1faae28af3bf97ef4fb31509.tar.gz
slackbuilds-bd2c42a9f75f44cf1faae28af3bf97ef4fb31509.tar.xz
libraries/guile-gtk: Added to 12.1 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/guile-gtk/README20
-rw-r--r--libraries/guile-gtk/guile-gtk.SlackBuild83
-rw-r--r--libraries/guile-gtk/guile-gtk.info8
-rw-r--r--libraries/guile-gtk/slack-desc11
4 files changed, 122 insertions, 0 deletions
diff --git a/libraries/guile-gtk/README b/libraries/guile-gtk/README
new file mode 100644
index 0000000000..146c05eb58
--- /dev/null
+++ b/libraries/guile-gtk/README
@@ -0,0 +1,20 @@
+This is some glue code to make GTK accessible from Guile (1.6.4 or up). It
+provides a convenient interface for Scheme programmers to develop graphical
+user interfaces. This version of guile-gtk is stripped down and intended for
+people who want to use GTK without Gnome.
+
+GtkGLArea is required to build guile-gtk.
+
+guile-gtk version 0.60 was the last to support GTK+-1.2. To install this
+version instead, download the source from here:
+ftp://ftp.gnu.org/gnu/guile-gtk/guile-gtk-0.60.tar.gz
+md5sum: 61a2e4d9326b40b65ce6c68bf1feb5db
+
+Installation:
+VERSION=0.60 ./guile-gtk.SlackBuild
+
+Note that installing both version 0.60 and the latest version will result in
+some common files getting clobbered. GtkGLArea should not be necessary for
+version 0.60 (but possibly an older version of GtkGLArea), as it is already
+handicapped with the removal of gdk-pixbuf from Slackware beginning with
+Slackware 12.0.
diff --git a/libraries/guile-gtk/guile-gtk.SlackBuild b/libraries/guile-gtk/guile-gtk.SlackBuild
new file mode 100644
index 0000000000..01168a8840
--- /dev/null
+++ b/libraries/guile-gtk/guile-gtk.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for guile-gtk
+# Written by Kyle Guinn <elyk03@gmail.com>
+
+
+PRGNAM="guile-gtk"
+VERSION=${VERSION:-"2.1"}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM-$VERSION
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+# NOTE: Version 0.60 is the last version to support GTK+-1.2.
+if [ "$VERSION" = "0.60" ]; then
+ GTK_VERSION="1.2"
+else
+ GTK_VERSION="2.0"
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-st .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# These two files are essentially the same. Replace one with a symlink
+# for better compatibility with the GTK+-1.2-supporting version.
+( cd $PKG/usr/bin ; rm -rf build-guile-gtk )
+( cd $PKG/usr/bin ; ln -sf build-guile-gtk-$GTK_VERSION build-guile-gtk )
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l); do \
+ ln -s $(readlink $i).gz $i.gz; rm $i; \
+ done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/guile-gtk/guile-gtk.info b/libraries/guile-gtk/guile-gtk.info
new file mode 100644
index 0000000000..d12b85b59f
--- /dev/null
+++ b/libraries/guile-gtk/guile-gtk.info
@@ -0,0 +1,8 @@
+PRGNAM="guile-gtk"
+VERSION="2.1"
+HOMEPAGE="http://www.gnu.org/software/guile-gtk/"
+DOWNLOAD="ftp://ftp.gnu.org/gnu/guile-gtk/guile-gtk-2.1.tar.gz"
+MD5SUM="4ed9b00f4cefdef412923270d8ad02a5"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/libraries/guile-gtk/slack-desc b/libraries/guile-gtk/slack-desc
new file mode 100644
index 0000000000..f1db425a6d
--- /dev/null
+++ b/libraries/guile-gtk/slack-desc
@@ -0,0 +1,11 @@
+guile-gtk: guile-gtk (GTK bindings for Guile)
+guile-gtk:
+guile-gtk: This is some glue code to make GTK accessible from Guile
+guile-gtk: (1.6.4 or up). It provides a convenient interface for Scheme
+guile-gtk: programmers to develop graphical user interfaces. This version
+guile-gtk: of guile-gtk is stripped down and intended for people who want
+guile-gtk: to use GTK without Gnome.
+guile-gtk:
+guile-gtk:
+guile-gtk:
+guile-gtk: